Results 1 to 7 of 7

Thread: Wicd, Python 2.7, and OpenSUSE 11.4

  1. #1
    Join Date
    Sep 2008
    Location
    Montevideo, Uruguay
    Posts
    80

    Exclamation Wicd, Python 2.7, and OpenSUSE 11.4

    Where can a new version of wicd --meaning, one that works with Python 2.7 as provided in OpenSUSE 11.4-- be found?

  2. #2
    Join Date
    Sep 2008
    Location
    Sulzbach (Taunus), Hessen [Hesse], Deutschland [Germany]
    Posts
    2,178

    Question Re: Wicd, Python 2.7, and OpenSUSE 11.4

    Quote Originally Posted by fkereki View Post
    Where can a new version of wicd --meaning, one that works with Python 2.7 as provided in OpenSUSE 11.4-- be found?
    I never used the Wireless Interface Connection Daemon (wicd).

    I wounder if a version build against the current openSUSE Factory might work.
    software.opensuse.org - Search Results (Factory): wicd

    And the versions in (quoted without links)
    - Index of /repositories/system:/wicd/openSUSE_Factory/i586
    urwid-0.9.8.4-6.26.i586.rpm 11-Feb-2011 00:13 172K Details
    wicd-1.6.1-1.2.i586.rpm 03-Jul-2009 04:16 428K Details
    - Index of /repositories/system:/wicd/openSUSE_Factory/x86_64
    urwid-0.9.8.4-6.26.x86_64.rpm 10-Feb-2011 00:41 172K Details
    wicd-1.6.1-1.2.x86_64.rpm 03-Jul-2009 04:13 428K Details
    are older than the release date of 11.4 - so I guess they might work.

    And would it be difficult to download the source code and compile it yourself for 11.4?
    -> wicd - Browse Files at SourceForge.net

    Regards
    Martin
    (pistazienfresser)

  3. #3
    Join Date
    Sep 2008
    Location
    Montevideo, Uruguay
    Posts
    80

    Default Re: Wicd, Python 2.7, and OpenSUSE 11.4

    Quote Originally Posted by pistazienfresser View Post
    I never used the Wireless Interface Connection Daemon (wicd).

    I wounder if a version build against the current openSUSE Factory might work.
    software.opensuse.org - Search Results (Factory): wicd

    And the versions in (quoted without links)
    - Index of /repositories/system:/wicd/openSUSE_Factory/i586

    - Index of /repositories/system:/wicd/openSUSE_Factory/x86_64

    are older than the release date of 11.4 - so I guess they might work.

    And would it be difficult to download the source code and compile it yourself for 11.4?
    -> wicd - Browse Files at SourceForge.net
    I've already tried out a 1.7.something version, and it didn't work; it was written for Python 2.6. I tried using it anyway, and it failed, so I'm afraid it isn't a matter of compilation; there are source code changes to be made.

    Thanks for your time!

  4. #4
    Join Date
    Sep 2008
    Location
    Sulzbach (Taunus), Hessen [Hesse], Deutschland [Germany]
    Posts
    2,178

    Question Re: Wicd, Python 2.7, and OpenSUSE 11.4

    Quote Originally Posted by fkereki View Post
    I've already tried out a 1.7.something version, and it didn't work; it was written for Python 2.6. I tried using it anyway, and it failed, so I'm afraid it isn't a matter of compilation; there are source code changes to be made.

    Thanks for your time!
    No cause to be grateful - I was just interested in the answer, too. Especially as the Wireless Interface Connection Daemon (wicd) might be an other alternative to the knetworkmanger/packet:NetworkManager-kde4 or the network-manager-applet[nm-applet]/packet:NetworkManager-gnome) and as had been looking a bit around I have chosen to post my 'result' - been hoping this 'result' would at least make a small progress (I think of a forum as a place of collaborative work via ).

    But maybe the https://lists.sourceforge.net/lists/listinfo/wicd-devel would also be a place for raising your question (although it is almost empty untill n).

    And out of curiosity:
    Have you also tested wicd-1.7.1b2 from 2010-11-20 ?
    If I understood
    Gentoo's Bugzilla : Bug 333001 - net-misc/wicd-1.7.0 doesn't support Python 2.7
    in the right way right - this beta version shall work with python 2.71 .

    Have a lot of luck and than fun
    Martin
    (pistazienfresser)

  5. #5
    Join Date
    Sep 2008
    Location
    Montevideo, Uruguay
    Posts
    80

    Default Re: Wicd, Python 2.7, and OpenSUSE 11.4

    Quote Originally Posted by pistazienfresser View Post
    And out of curiosity:
    Have you also tested wicd-1.7.1b2 from 2010-11-20 ?
    Up to now, I have tried to stay with the OpenSUSE repositories' versions, but I'm thinking about giving that version a try... I'll post results if/after I get it to do anything.

    Thanks for your time!

  6. #6
    Join Date
    Sep 2008
    Location
    Montevideo, Uruguay
    Posts
    80

    Smile Re: Wicd, Python 2.7, and OpenSUSE 11.4 -- SOLVED

    SOLVED!

    I got the 1.7.1 beta 2 version, and installed it with:

    wget http://downloads.wicd.net/src/testin...1.7.1b2.tar.gz
    tar zxf wicd-1.7.1b2.tar.gz
    cd wicd-1.7.1b2/
    python setup.py configure
    su
    python setup.py install
    /etc/init.d/dbus restart
    /etc/init.d/chkconfig wicd on
    /etc/init.d/wicd start
    after which I was able to run wicd-client with no problems at all. I figured that, since I had previously had wicd installed from a repository, I should already have all pre-requisites available; should this not be the case, read the INSTALL file for specifics.
    Last edited by fkereki; 27-Mar-2011 at 09:16. Reason: Adding SOLVED to the title

  7. #7
    Join Date
    Nov 2009
    Location
    Iran
    Posts
    32

    Default Re: Wicd, Python 2.7, and OpenSUSE 11.4 -- SOLVED

    Quote Originally Posted by fkereki View Post
    SOLVED!

    I got the 1.7.1 beta 2 version, and installed it with:
    Thanks, I had problem installing wicd and did it the way you mentioned. The only thing was "chkconfig wicd on" didn't work for me, so I added runlevel 3 and 5 from YaST.
    Thanks

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •